dvbcut (0.7.4-1ubuntu1) oracular; urgency=medium

  * d/patches: backport upstream patches
  * d/p/1000-ffmpeg-7-api.patch: fix FTBFS with FFMpeg 7

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 16 Sep 2024 16:18:10 -0600

dvbcut (0.7.4-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:53:02 +1100

dvbcut (0.7.4-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:17:20 +0000

dvbcut (0.7.4-1build2) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:46:33 +0200

dvbcut (0.7.4-1build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:48:44 +0000

dvbcut (0.7.4-1) unstable; urgency=low

  * New upstream release 0.7.4.
    - Updated autotools files.
    - Build with ffmpeg 5. (Closes: #1004622)

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 0.7.3-1.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Bernhard Übelacker ]
  * Package new release 0.7.4.

 -- Bernhard Übelacker <bernhardu@mailbox.org>  Sun, 26 Jun 2022 19:01:55 +0200

dvbcut (0.7.3-1) unstable; urgency=low

  * New upstream release 0.7.3.
    - Be able to build with Qt5 utils with -qt5 postfix. (Thanks to Luigi
      Baldoni)
    - Fix issue with reencoded frames appear with 50 FPS.

  * Switch copyright-format URL from http to https.
  * Bump standards version from 3.9.8 to 4.1.4.
  * Bump debhelper version from 10 to 11.
  * Remove trailing whitespace from debian files.

 -- Bernhard Übelacker <bernhardu@mailbox.org>  Mon, 20 Aug 2018 01:17:30 +0200

dvbcut (0.7.2-1) unstable; urgency=low

  * New upstream release 0.7.2.
      Just minor changes for compatibility and to avoid compiler warnings.

  * Packaging changes suggested by Gianfranco Costamagna (in #844734):
    - Bump debian/compat from 9 to 10.
    - Remove Depends that get automatically added.
    - Remove Build-Depends autotools-dev and dh-autoreconf.
    - Remove unnecessary overrides in debian/rules.
  * Remove configure options for Qt and ffmpeg that led to wrong link flags.
      (Closes: #850073) Thanks to John David Anglin.
  * Avoid dpkg-parsechangelog to avoid Lintian message.
  * Contains upstream change to compile against FFMPeg 3.5.
      (Closes: #888351) Thanks to James Cowgill.

 -- Bernhard Übelacker <bernhardu@mailbox.org>  Fri, 26 Jan 2018 23:49:20 +0100

dvbcut (0.7.1-1) unstable; urgency=low

  [ Bernhard Übelacker ]
  * Avoid redraw of intermediate steps while
    dragging sliders with the mouse.
  * Remove outdated Recommends mplayer2 and unused mpv.
    (Closes: #841183) Thanks to James Cowgill.
  * Add facility to search for duplicate frames (Thanks to Olaf Dietsche).
  * Remove some gcc 6 warnings.

 -- Bernhard Übelacker <bernhardu@mailbox.org>  Fri, 18 Nov 2016 14:31:12 +0100

dvbcut (0.7.0-1) unstable; urgency=low

  * New version 0.7.0
     * Add translations (from dvbcut-qt4)
     * Switched to Qt5.
     * Fix export with lavf muxer.
     * Prepare for new ffmpeg version.
  * Switch upstream repo from Sourceforge to Github.
  * Add fallback to Qt internal icons if themes
      are not available. (Closes: #822609)
  * Changed maintainer email.
  * Push standards version to 3.9.8.
  * Enable hardening flags (Lintian warning).

 -- Bernhard Übelacker <bernhardu@mailbox.org>  Tue, 21 Jun 2016 16:51:07 +0200

dvbcut (0.5.4+svn178-12) unstable; urgency=medium

  * Replace deprecated ffmpeg APIs (Closes: #803809)
      (Thanks to Andreas Cadhalpun)
  * Due to lintian command-in-menu-file-and-desktop-file:
      - debian/dvbcut.menu removed.

 -- Bernhard Übelacker <bernhardu@vr-web.de>  Wed, 18 Nov 2015 23:55:08 +0100

dvbcut (0.5.4+svn178-11) unstable; urgency=medium

  * Correct changelog date format of the last version (Closes: #795616)
      (Thanks to Chris Lamb)

 -- Bernhard Übelacker <bernhardu@vr-web.de>  Sun, 16 Aug 2015 17:34:48 +0200

dvbcut (0.5.4+svn178-10) unstable; urgency=medium

  * Make storing of settings work with Qt4 (Closes: #772413)
  * Make keyboard modifier for mousewheel work with Qt4 (Closes: #772346)
      (Both found and fixed by Tim Riemenschneider, thanks)
  * Add to help page the mousewheel keyboard modifiers
  * Fix headless index creation on ARM architecture.
  * Push stanards version to 3.9.6.
  * Transition from libav to ffmpeg (Closes: #793089)
      (Thanks to Sebastian Ramacher and Andreas Cadhalpun)

 -- Bernhard Übelacker <bernhardu@vr-web.de>  Tue, 21 Jul 2015 18:08:10 +0200

dvbcut (0.5.4+svn178-9) unstable; urgency=low

  * Include correct fix by Aurelien Jarno for
    lintian hardening-no-relro warning (Closes: #763812).
    - Bump debian/compat from 7 to 9
    - Build-Depends: debhelper >= 9, autotools-dev
    - Remove now unneeded debian/config.{guess,sub}
    - debian/rules
  * Enable parallel builds (debian/rules)

 -- Bernhard Übelacker <bernhardu@vr-web.de>  Fri, 03 Oct 2014 01:18:40 +0200

dvbcut (0.5.4+svn178-8) unstable; urgency=medium

  * Fix crash on export video (Closes: #753347)
  * Fix crash when calling with malformed parameters (Closes: #715843)
  * Fix playing audio with mplayer2 (Closes: #753369)
  * Try to fix Hurd build by avoiding PATH_MAX
  * Include dpkg-buildflags hinted by lintian
  * Set maintainer to Bernhard Übelacker (Closes: #741655)

 -- Bernhard Übelacker <bernhardu@vr-web.de>  Sun, 21 Sep 2014 12:16:23 +0200

dvbcut (0.5.4+svn178-7) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 12 May 2014 11:34:39 +0200

dvbcut (0.5.4+svn178-6) experimental; urgency=low

  * Orphan package, set maintainer to Debian QA Group.

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 13 Mar 2014 21:05:39 -0400

dvbcut (0.5.4+svn178-5) experimental; urgency=low

  * Fix FTBFS against libav10 (Closes: #739220)
  * compile against libav10
  * Bump standards version (no changes needed)
  * update Recommends on mplayer

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 01 Mar 2014 14:56:05 +0000

dvbcut (0.5.4+svn178-4) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Build-Depends: requires debhelper >= 8.1 for build-{arch,indep} support.
    - Vcs-*: use anonscm.debian.org.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 04 Sep 2013 16:38:27 +0200

dvbcut (0.5.4+svn178-3) experimental; urgency=low

  [ Alessio Treglia ]
  * compile against libav 9

  [ Reinhard Tartler ]
  * add patch from rpmfusion to allow compilation against libav9
  * add missing config.sub and config.guess files

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 02 Mar 2013 20:12:53 +0100

dvbcut (0.5.4+svn178-2) unstable; urgency=low

  * Team upload.

  [ Fabrice Coutadeur ]
  * Adapt package to use debhelper tiny form:
    + debian/rules:
      - use debhelper tiny form
      - Adapt dh_auto_configure target for automake build system
      - Delete generated files in override_dh_auto_clean to be able to build
        dvbcut locally twice
    + debian/dvbcut.menu: rename menu file to dvbcut.menu to makes it
      automatically installable by debhelper
    + debian/dvbcut.install: rename install file to dvbcut.install as stated in
      the debhelper manpage and Manually installs files to avoid the local
      update of the mime database
  * Change back build system to autotools so that qt4 patch can be adopted
    upstream (Closes: #656793).
    + debian/control:
      - Drop scons build dependency. It's not used anymore.
      - Drop cmake dependency
      - Added b-d on autoconf to generate configure script
      - Added b-d on pkg-config, used to get qt4 libs and includes
    + port-to-qt4.patch:
      - Drop cmake files from qt4 patch
      - Update configure and src/Makefile.in for qt4
    + This allows the automatic installation of desktop file and icon
      (Closes: #660009)
  * Refresh fix-ftbfs-libav0.7 patch to use -pab as quilt arg. This makes futur
    refreshes lighter.
  * Rename docs to dvbcut.docs and manpages to dvbcut.manpages to follow
    debhelper recommendations. thanks bojo42 for the tip.
  * fix_gcc_4.7.patch: fix FTBFS with gcc 4.7 because of missing include.
    (Closes: #667154)

  [ Alessio Treglia ]
  * Add patch to fix "Unable to open stream" error. (LP: #875030)
  * Update debian/copyright to copyright format 1.0.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 24 Apr 2012 12:54:45 +0200

dvbcut (0.5.4+svn178-1) unstable; urgency=low

  [ Fabrice Coutadeur ]
  * Imported Upstream version 0.5.4+svn178.
    - Drop fix-ftbfs-gcc4.6 patch as it has been integrated upstream
    - Refresh port-to-qt4 patch
  * Update port-to-qt4 patch to make dvbcut usable in wheeezy (Closes: #641992,
    LP: #896811). Thanks Jindrich Makovicka for the patch!
  * port-to-qt4.patch: updated to get rid of file: prefix in the index filename
  * debian/rules: updated to add build-indep and build-arch recommended targets.
    This fixes a lintian warning.

  [ Reinhard Tartler ]
  * remove traces of the included source copy of ffmpeg
  * make buildlogs more verbose
  * Use distro-wide provided standard compiler flags

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 21 Jan 2012 08:45:41 +0100


dvbcut (0.5.4+svn170-2) unstable; urgency=low

  * Upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 02 Sep 2011 11:22:19 +0200

dvbcut (0.5.4+svn170-1) experimental; urgency=low

  * New upstream version
  * Drop patches that are already applied in this upstream version
  * Apply patch from upstream to support qt4
  * Build against qt4
  * Add patch to build against Libav 0.7, Closes: #632415
    Thanks to Fabrice Coutadeur <fabricesp@ubuntu.com>
  * Tighten build dependencies to build against Libav 0.7

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 02 Jul 2011 10:59:23 +0200

dvbcut (0.5.4+svn146-2) unstable; urgency=low

  * Team upload.
  * Add patch to fix build failure with GCC4.5 (Closes: #622079).
  * Take patch from upstream's SVN trunk to prevent build failures
    with GCC4.6.
  * Add gbp config file.
  * debian/control:
    - Correct team's name.
    - Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 05 May 2011 14:26:49 +0200

dvbcut (0.5.4+svn146-1) unstable; urgency=low

  * Package dvbcut for debian. Closes: #457272
  * Add homepage field
  * Add watch file
  * Bump standards version, no changes needed
  * Bump debhelper compat level to 7
  * Add libswscale-dev to build depends
  * Use Source Format 3.0 (quilt)
  * Fix FTBFS with gcc-4.4
  * update config.sub and config.guess

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 23 Feb 2011 11:53:19 +0100

dvbcut (0.5.4+r146-0ubuntu1~ppa) intrepid; urgency=low

  * First ubuntu version (SVN - revision 146)

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Tue, 13 Jan 2009 22:13:06 +0100

dvbcut (0.5.4) unstable; urgency=low

  * New upstream version.

 -- Sven Over <svenover@svenover.de>  Fri, 13 Apr 2007 19:43:07 +0100

dvbcut (0.5.3) unstable; urgency=low

  * New upstream version.

 -- Sven Over <svenover@svenover.de>  Fri, 16 Dec 2005 20:15:12 +0100

dvbcut (0.5.2) unstable; urgency=low

  * New upstream version.
  * Downgraded libao-dev build-dependency to work on sarge.

 -- Sven Over <svenover@svenover.de>  Sun, 11 Dec 2005 13:00:12 +0100

dvbcut (0.5.1) unstable; urgency=low

  * Initial Release.

 -- Sven Over <svenover@svenover.de>  Sun, 27 Nov 2005 17:26:15 +0100
